# coding: utf-8
from setuptools import setup
from junkyardmap import version

setupargs = {
    'name': 'junkyardmap',
    'description': 'Map for your servers',

    'author': 'Philipp Benjamin Köppchen',
    'author_email': 'keppla@flyingelephantsoftware.de',

    'url': 'http://flyingelephantsoftware.de/junkjardmap',
    'license': 'GPL',
    'version': version,

    'entry_points': {
        'console_scripts': [
            'junkyardmap-generate = junkyardmap.generate:main',
            'junkyardmap-connect = junkyardmap.connect:main',
        ]
    },

    'packages': [
        'junkyardmap',
    ],

    'include_package_data': True,
    'package_data': {
        '': [
            'resources/*',
        ]
    },

    'install_requires': [
        'jinja2',
        'pyyaml',
    ],
}

if __name__ == '__main__':
    setup(**setupargs)

